Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Arash Esbati <[email-masked]>
Date: Mon, 01 Jul 2024 09:50:15 +0200

Paul Nelson <[email-masked]> writes:

> I checked that Ikumi's suggestion addresses the issue (more correctly
> than my own workaround), but feel that AUCTeX should do something like
> this by default, like it did (incidentally, via mode aliasing) until
> the recent update.  I'm not sure how best to do that.

Thanks.  I wonder why we can't leave this decision to the user?

,----[ C-h v org-src-lang-modes RET ]
| org-src-lang-modes is a variable defined in ‘org-src.el’.
| 
| Its value is shown below.
| 
| Alist mapping languages to their major mode.
| 
| The key is the language name.  The value is the mode name, as
| a string or a symbol, without the "-mode" suffix.
| 
| For many languages this is simple, but for language where this is
| not the case, this variable provides a way to simplify things on
| the user side.  For example, there is no ‘ocaml-mode’ in Emacs,
| but the mode to use is ‘tuareg-mode’.
| 
|   This variable was introduced, or its default value was changed, in
|   version 9.7 of the Org package that is part of Emacs 30.1.
|   You can customize this variable.
| 
| Value:
| (("C" . c) ("C++" . c++) ("asymptote" . asy) ("beamer" . latex)
|  ("calc" . fundamental) ("cpp" . c++) ("ditaa" . artist)
|  ("desktop" . conf-desktop) ("dot" . fundamental)
|  ("elisp" . emacs-lisp) ("ocaml" . tuareg) ("screen" . shell-script)
|  ("sqlite" . sql) ("toml" . conf-toml) ("shell" . sh) ("ash" . sh)
|  ("sh" . sh) ("bash" . sh) ("jsh" . sh) ("bash2" . sh) ("dash" . sh)
|  ("dtksh" . sh) ("ksh" . sh) ("es" . sh) ("rc" . sh) ("itcsh" . sh)
|  ("tcsh" . sh) ("jcsh" . sh) ("csh" . sh) ("ksh88" . sh) ("oash" . sh)
|  ("pdksh" . sh) ("mksh" . sh) ("posix" . sh) ("wksh" . sh)
|  ("wsh" . sh) ("zsh" . sh) ("rpm" . sh))
`----

So people only need to customize

  ("beamer" . latex)

to

  ("beamer" . LaTeX)

and it should work, IIUC.  Org is making a suggestion for the default,
so it's about changing the default.  Or am I missing something?

Best, Arash